<template lang="pug">
label.checkbox
	input.mr-1( type="checkbox" :checked='modelValue' @input='handleInput' )
	slot
</template>

<script setup>
import { onMounted } from "vue"

const props = defineProps({
	modelValue: Boolean,
	value: Boolean
})
const emit = defineEmits([ "update:modelValue", "input" ])

const handleInput = e => {
	emit("update:modelValue", e.target.checked)
	emit("input", e.target.checked)

	e.target.checked = props.modelValue
}
</script>

<style lang="scss" scoped>
label * {
	user-select: none;
}
</style>